Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.audit
Class AuditSearchObject

    java.lang.Object
      com.sun.mdm.index.querybuilder.SearchOptions
          com.sun.mdm.index.master.search.audit.AuditSearchObject

All Implemented Interfaces:
  java.io.Serializable

public class AuditSearchObject
extends SearchOptions
implements java.io.Serializable

The AuditSearchObject class is an object representing the search criteria passed to lookupAuditLog when performing a search for audit log entries. Use the methods in this class to populate or retrieve the fields in the search object, and to define the fields in the audit log search results list.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.querybuilder.SearchOptions
`mMaxElements, mPageSize`

Constructor Summary
`AuditSearchObject()` Creates a new instance of the AuditSearchObject class.

Method Summary
`java.sql.Timestamp` | `getCreateEndDate()` Retrieves the value of the endDate field to be used in an audit log search.
`java.sql.Timestamp` | `getCreateStartDate()` Retrieves the value of the startDate field to be used in an audit log search.
`java.lang.String` | `getCreateUser()` Retrieves the value of the createUser field to be used in an audit log search.
`java.lang.String` | `getDetail()` Retrieves the value of the detail field to be used in an audit log search.
`java.lang.String` | `getEUID()` Retrieves the value of the EUID field to be used in an audit log search.
`java.lang.String` | `getFunction()` Retrieves the value of the function field to be used in an audit log search.
`java.lang.String` | `getPrimaryObjectType()` Retrieves the primary object type of the master index application.
`void` | `setCreateEndDate(java.sql.Timestamp endDate)` Sets the ending date for an instance of AuditSearchObject.
`void` | `setCreateStartDate(java.sql.Timestamp startDate)` Sets the starting date for an instance of AuditSearchObject.
`void` | `setCreateUser(java.lang.String systemUser)` Sets the create user ID for an instance of AuditSearchObject.
`void` | `setDetail(java.lang.String detail)` Sets the detail field for an instance of AuditSearchObject.
`void` | `setEUID(java.lang.String euid)` Sets the EUID for an instance of AuditSearchObject.
`void` | `setFunction(java.lang.String function)` Sets the function (type of transaction) for an instance of AuditSearchObject.
`void` | `setPrimaryObjectType(java.lang.String type)` Sets the primary object type for an instance of AuditSearchObject.
`java.lang.String` | `toString()` Retrieves a string representation of the fields in the AuditSearchObject object.

Methods inherited from class com.sun.mdm.index.querybuilder.SearchOptions
`getBooleanOption, getMaxElements, getMaxQueryElements, getOption, getOptionNames, getPageSize, setMaxElements, setMaxQueryElements, setOption, setPageSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditSearchObject

    public AuditSearchObject()

  Creates a new instance of the AuditSearchObject class.

  Parameters:
    None.

Method Detail

### getCreateEndDate

    public java.sql.Timestamp getCreateEndDate()

  Retrieves the value of the endDate field to be used in an audit log search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The end date for the audit log search.
  Throws:
    None.

### getCreateStartDate

    public java.sql.Timestamp getCreateStartDate()

  Retrieves the value of the startDate field to be used in an audit log search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The start date for the audit log search.
  Throws:
    None.

### getCreateUser

    public java.lang.String getCreateUser()

  Retrieves the value of the createUser field to be used in an audit log search.

  Parameters:
    None.

  Returns:
    `String` - The user logon ID to use for the audit log search.
  Throws:
    None.

### getDetail

    public java.lang.String getDetail()

  Retrieves the value of the detail field to be used in an audit log search. Note that this field is not commonly used in audit log searches, since each character in the search field must match each character in the detail field of any resulting records.

  Parameters:
    None.

  Returns:
    `String` - The detail information to use for the audit log search.
  Throws:
    None.

### getEUID

    public java.lang.String getEUID()

  Retrieves the value of the EUID field to be used in an audit log search.

  Parameters:
    None.

  Returns:
    `String` - The EUID to use for the audit log search.
  Throws:
    None.

### getFunction

    public java.lang.String getFunction()

  Retrieves the value of the function field to be used in an audit log search.

  Parameters:
    None.

  Returns:
    `String` - The type of function to use for the audit log search.
  Throws:
    None.

### getPrimaryObjectType

    public java.lang.String getPrimaryObjectType()

  Retrieves the primary object type of the master index application.

  Parameters:
    None.

  Returns:
    `String` - The primary object type.
  Throws:
    None.

### setCreateEndDate

    public void setCreateEndDate(java.sql.Timestamp endDate)

  Sets the ending date for an instance of AuditSearchObject. Use this method with setCreateStartDate to search for audit log entries created between these two dates.

  Parameters:
    `endDate` - The end date for the audit log search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateStartDate

    public void setCreateStartDate(java.sql.Timestamp startDate)

  Sets the starting date for an instance of AuditSearchObject. Use this method with setCreateEndDate to search for audit log entries created between these two dates.

  Parameters:
    `startDate` - The start date for the audit log search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateUser

    public void setCreateUser(java.lang.String systemUser)

  Sets the create user ID for an instance of AuditSearchObject.

  Parameters:
    `systemUser` - A string containing a user ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setDetail

    public void setDetail(java.lang.String detail)

  Sets the detail field for an instance of AuditSearchObject. Note that this field is not commonly used in audit log searches, since each character in the search field must match each character in the detail field of any resulting records.

  Parameters:
    `detail` - A string containing the detail information.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String euid)

  Sets the EUID for an instance of AuditSearchObject.

  Parameters:
    `euid` - A string containing an EUID.
  Returns:
    `void` - None.
  Throws:
    None.

### setFunction

    public void setFunction(java.lang.String function)

  Sets the function (type of transaction) for an instance of AuditSearchObject.

  Parameters:
    `function` - A string containing a type of function.
  Returns:
    `void` - None.
  Throws:
    None.

### setPrimaryObjectType

    public void setPrimaryObjectType(java.lang.String type)

  Sets the primary object type for an instance of AuditSearchObject.

  Parameters:
    `type` - The primary object type of the master index application.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the fields in the AuditSearchObject object.

  Parameters:
    None.

  Overrides:
    `toString` in class `SearchOptions`
  Returns:
    `String` - The field values contained in the AuditSearchObject object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.